Bug 174781 - [new port] irc/dxirc, simple IRC client written using the FOX toolkit
[new port] irc/dxirc, simple IRC client written using the FOX toolkit
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-28 17:50 UTC by david
Modified: 2013-01-02 08:00 UTC (History)
0 users

See Also:


Attachments
file.shar (12.02 KB, text/plain)
2012-12-28 17:50 UTC, david
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description david 2012-12-28 17:50:01 UTC
New port: irc/dxirc simple IRC client written using the FOX toolkit.
Comment 1 jgh freebsd_committer 2012-12-28 23:54:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter freebsd_committer 2012-12-31 03:46:36 UTC
Author: jgh
Date: Mon Dec 31 03:46:26 2012
New Revision: 309705
URL: http://svnweb.freebsd.org/changeset/ports/309705

Log:
  - add new port: irc/dxirc
  
  dxirc is a simple IRC client for various os (linux, *bsd, windows), written
  using the FOX toolkit.
  
  WWW: http://www.dxirc.org/
  
  PR:		174781
  Submitted by:	david@konstrukce-cad.com

Added:
  head/irc/dxirc/
  head/irc/dxirc/Makefile   (contents, props changed)
  head/irc/dxirc/distinfo   (contents, props changed)
  head/irc/dxirc/pkg-descr   (contents, props changed)
  head/irc/dxirc/pkg-plist   (contents, props changed)
Modified:
  head/irc/Makefile

Modified: head/irc/Makefile
==============================================================================
--- head/irc/Makefile	Mon Dec 31 00:15:51 2012	(r309704)
+++ head/irc/Makefile	Mon Dec 31 03:46:26 2012	(r309705)
@@ -19,6 +19,7 @@
     SUBDIR += darkbot
     SUBDIR += dcc
     SUBDIR += dircproxy
+    SUBDIR += dxirc
     SUBDIR += eggcreator
     SUBDIR += eggdrop
     SUBDIR += eggdrop-devel

Added: head/irc/dxirc/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/irc/dxirc/Makefile	Mon Dec 31 03:46:26 2012	(r309705)
@@ -0,0 +1,80 @@
+# $FreeBSD$
+
+PORTNAME=	dxirc
+PORTVERSION=	1.10.0
+CATEGORIES=	irc
+MASTER_SITES=	GOOGLE_CODE
+
+MAINTAINER=	arch_dvx@users.sourceforge.net
+COMMENT=	Simple IRC client written using the FOX toolkit
+
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	FOX-1:${PORTSDIR}/x11-toolkits/fox16
+
+USE_XORG=	xft
+USE_GMAKE=	yes
+GNU_CONFIGURE=	yes
+CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+
+OPTIONS_DEFINE=	NLS TRAY IPV6 SSL LUA ENCHANT NOTIFY
+OPTIONS_DEFAULT=	NLS TRAY IPV6 SSL LUA
+
+TRAY_DESC=	Trayicon
+ENCHANT_DESC=	Spellchecking support
+NOTIFY_DESC=	Libnotify support
+
+PORTDOCS=	README
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.else
+USE_GETTEXT=	yes
+PLIST_SUB+=	NLS=""
+.endif
+
+.if ! ${PORT_OPTIONS:MTRAY}
+CONFIGURE_ARGS+=	--disable-tray
+.endif
+
+.if ! ${PORT_OPTIONS:MIPV6}
+CONFIGURE_ARGS+=	--disable-ipv6
+.endif
+
+.if ${PORT_OPTIONS:MSSL}
+USE_OPENSSL=	yes
+.else
+CONFIGURE_ARGS+=	--disable-ssl
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+USE_LUA=	5.1+
+WANT_LUA_VER=	5.1
+CONFIGURE_ENV+=	LUA_CFLAGS="-I${LUA_INCDIR}" LUA_LIBS="-L${LUA_LIBDIR} -llua"
+CONFIGURE_ARGS+=	--enable-lua
+.else
+CONFIGURE_ARGS+=	--disable-lua
+.endif
+
+.if ${PORT_OPTIONS:MENCHANT}
+LIB_DEPENDS+=	enchant:${PORTSDIR}/textproc/enchant
+CONFIGURE_ARGS+=	--enable-enchant
+.endif
+
+.if ${PORT_OPTIONS:MNOTIFY}
+LIB_DEPENDS+=	notify:${PORTSDIR}/devel/libnotify
+CONFIGURE_ARGS+=	--enable-libnotify
+.endif
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/irc/dxirc/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/irc/dxirc/distinfo	Mon Dec 31 03:46:26 2012	(r309705)
@@ -0,0 +1,2 @@
+SHA256 (dxirc-1.10.0.tar.gz) = 92c2827cde8b08cca3b5595d05beab727afce8dc9d30fdbb71face6be567ec65
+SIZE (dxirc-1.10.0.tar.gz) = 1496185

Added: head/irc/dxirc/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/irc/dxirc/pkg-descr	Mon Dec 31 03:46:26 2012	(r309705)
@@ -0,0 +1,4 @@
+dxirc is a simple IRC client for various os (linux, *bsd, windows), written
+using the FOX toolkit.
+
+WWW: http://www.dxirc.org/

Added: head/irc/dxirc/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/irc/dxirc/pkg-plist	Mon Dec 31 03:46:26 2012	(r309705)
@@ -0,0 +1,297 @@
+bin/dxirc
+share/applications/dxirc.desktop
+share/pixmaps/dxirc.png
+%%DATADIR%%/COPYING
+%%DATADIR%%/icons/arrow_down.png
+%%DATADIR%%/icons/arrow_refresh.png
+%%DATADIR%%/icons/arrow_up.png
+%%DATADIR%%/icons/big_dxirc.png
+%%DATADIR%%/icons/cancel.png
+%%DATADIR%%/icons/channel.png
+%%DATADIR%%/icons/chnewm.png
+%%DATADIR%%/icons/clear.png
+%%DATADIR%%/icons/connect.png
+%%DATADIR%%/icons/copy.png
+%%DATADIR%%/icons/cross.png
+%%DATADIR%%/icons/dcc.png
+%%DATADIR%%/icons/dccnewm.png
+%%DATADIR%%/icons/disconnect.png
+%%DATADIR%%/icons/door_out.png
+%%DATADIR%%/icons/file.png
+%%DATADIR%%/icons/find.png
+%%DATADIR%%/icons/folder.png
+%%DATADIR%%/icons/folder_go.png
+%%DATADIR%%/icons/help.png
+%%DATADIR%%/icons/keyboard.png
+%%DATADIR%%/icons/logs.png
+%%DATADIR%%/icons/newfile.png
+%%DATADIR%%/icons/newm.png
+%%DATADIR%%/icons/page.png
+%%DATADIR%%/icons/play.png
+%%DATADIR%%/icons/script.png
+%%DATADIR%%/icons/select_all.png
+%%DATADIR%%/icons/server.png
+%%DATADIR%%/icons/small_dxirc.png
+%%DATADIR%%/icons/tick.png
+%%DATADIR%%/icons/unewm.png
+%%DATADIR%%/icons/user.png
+%%DATADIR%%/icons/world.png
+%%DATADIR%%/icons/wrench.png
+%%DATADIR%%/sounds/connected.wav
+%%DATADIR%%/sounds/disconnected.wav
+%%DATADIR%%/sounds/message.wav
+%%DATADIR%%/icons/default/irc_admin.png
+%%DATADIR%%/icons/default/irc_away.png
+%%DATADIR%%/icons/default/irc_halfop.png
+%%DATADIR%%/icons/default/irc_normal.png
+%%DATADIR%%/icons/default/irc_op.png
+%%DATADIR%%/icons/default/irc_owner.png
+%%DATADIR%%/icons/default/irc_voice.png
+%%DATADIR%%/icons/flags/ar.png
+%%DATADIR%%/icons/flags/as.png
+%%DATADIR%%/icons/flags/at.png
+%%DATADIR%%/icons/flags/au.png
+%%DATADIR%%/icons/flags/aw.png
+%%DATADIR%%/icons/flags/ax.png
+%%DATADIR%%/icons/flags/az.png
+%%DATADIR%%/icons/flags/ba.png
+%%DATADIR%%/icons/flags/bb.png
+%%DATADIR%%/icons/flags/bd.png
+%%DATADIR%%/icons/flags/be.png
+%%DATADIR%%/icons/flags/bf.png
+%%DATADIR%%/icons/flags/bg.png
+%%DATADIR%%/icons/flags/bh.png
+%%DATADIR%%/icons/flags/bi.png
+%%DATADIR%%/icons/flags/bj.png
+%%DATADIR%%/icons/flags/bm.png
+%%DATADIR%%/icons/flags/bn.png
+%%DATADIR%%/icons/flags/bo.png
+%%DATADIR%%/icons/flags/br.png
+%%DATADIR%%/icons/flags/bs.png
+%%DATADIR%%/icons/flags/bt.png
+%%DATADIR%%/icons/flags/bv.png
+%%DATADIR%%/icons/flags/bw.png
+%%DATADIR%%/icons/flags/by.png
+%%DATADIR%%/icons/flags/bz.png
+%%DATADIR%%/icons/flags/ca.png
+%%DATADIR%%/icons/flags/cc.png
+%%DATADIR%%/icons/flags/cd.png
+%%DATADIR%%/icons/flags/cf.png
+%%DATADIR%%/icons/flags/cg.png
+%%DATADIR%%/icons/flags/ch.png
+%%DATADIR%%/icons/flags/ci.png
+%%DATADIR%%/icons/flags/ck.png
+%%DATADIR%%/icons/flags/cl.png
+%%DATADIR%%/icons/flags/cm.png
+%%DATADIR%%/icons/flags/cn.png
+%%DATADIR%%/icons/flags/co.png
+%%DATADIR%%/icons/flags/cr.png
+%%DATADIR%%/icons/flags/cs.png
+%%DATADIR%%/icons/flags/cu.png
+%%DATADIR%%/icons/flags/cv.png
+%%DATADIR%%/icons/flags/cx.png
+%%DATADIR%%/icons/flags/cy.png
+%%DATADIR%%/icons/flags/cz.png
+%%DATADIR%%/icons/flags/de.png
+%%DATADIR%%/icons/flags/dj.png
+%%DATADIR%%/icons/flags/dk.png
+%%DATADIR%%/icons/flags/dm.png
+%%DATADIR%%/icons/flags/do.png
+%%DATADIR%%/icons/flags/dz.png
+%%DATADIR%%/icons/flags/ec.png
+%%DATADIR%%/icons/flags/ee.png
+%%DATADIR%%/icons/flags/eg.png
+%%DATADIR%%/icons/flags/eh.png
+%%DATADIR%%/icons/flags/er.png
+%%DATADIR%%/icons/flags/es.png
+%%DATADIR%%/icons/flags/et.png
+%%DATADIR%%/icons/flags/eu.png
+%%DATADIR%%/icons/flags/fi.png
+%%DATADIR%%/icons/flags/fj.png
+%%DATADIR%%/icons/flags/fk.png
+%%DATADIR%%/icons/flags/fm.png
+%%DATADIR%%/icons/flags/fo.png
+%%DATADIR%%/icons/flags/fr.png
+%%DATADIR%%/icons/flags/ga.png
+%%DATADIR%%/icons/flags/gd.png
+%%DATADIR%%/icons/flags/ge.png
+%%DATADIR%%/icons/flags/gf.png
+%%DATADIR%%/icons/flags/gh.png
+%%DATADIR%%/icons/flags/gi.png
+%%DATADIR%%/icons/flags/gl.png
+%%DATADIR%%/icons/flags/gm.png
+%%DATADIR%%/icons/flags/gn.png
+%%DATADIR%%/icons/flags/gp.png
+%%DATADIR%%/icons/flags/gq.png
+%%DATADIR%%/icons/flags/gr.png
+%%DATADIR%%/icons/flags/gs.png
+%%DATADIR%%/icons/flags/gt.png
+%%DATADIR%%/icons/flags/gu.png
+%%DATADIR%%/icons/flags/gw.png
+%%DATADIR%%/icons/flags/gy.png
+%%DATADIR%%/icons/flags/hk.png
+%%DATADIR%%/icons/flags/hm.png
+%%DATADIR%%/icons/flags/hn.png
+%%DATADIR%%/icons/flags/hr.png
+%%DATADIR%%/icons/flags/ht.png
+%%DATADIR%%/icons/flags/hu.png
+%%DATADIR%%/icons/flags/id.png
+%%DATADIR%%/icons/flags/ie.png
+%%DATADIR%%/icons/flags/il.png
+%%DATADIR%%/icons/flags/in.png
+%%DATADIR%%/icons/flags/io.png
+%%DATADIR%%/icons/flags/iq.png
+%%DATADIR%%/icons/flags/ir.png
+%%DATADIR%%/icons/flags/is.png
+%%DATADIR%%/icons/flags/it.png
+%%DATADIR%%/icons/flags/jm.png
+%%DATADIR%%/icons/flags/jo.png
+%%DATADIR%%/icons/flags/jp.png
+%%DATADIR%%/icons/flags/ke.png
+%%DATADIR%%/icons/flags/kg.png
+%%DATADIR%%/icons/flags/kh.png
+%%DATADIR%%/icons/flags/ki.png
+%%DATADIR%%/icons/flags/km.png
+%%DATADIR%%/icons/flags/kn.png
+%%DATADIR%%/icons/flags/kp.png
+%%DATADIR%%/icons/flags/kr.png
+%%DATADIR%%/icons/flags/kw.png
+%%DATADIR%%/icons/flags/ky.png
+%%DATADIR%%/icons/flags/kz.png
+%%DATADIR%%/icons/flags/la.png
+%%DATADIR%%/icons/flags/lb.png
+%%DATADIR%%/icons/flags/lc.png
+%%DATADIR%%/icons/flags/li.png
+%%DATADIR%%/icons/flags/lk.png
+%%DATADIR%%/icons/flags/lr.png
+%%DATADIR%%/icons/flags/ls.png
+%%DATADIR%%/icons/flags/lt.png
+%%DATADIR%%/icons/flags/lu.png
+%%DATADIR%%/icons/flags/lv.png
+%%DATADIR%%/icons/flags/ly.png
+%%DATADIR%%/icons/flags/ma.png
+%%DATADIR%%/icons/flags/mc.png
+%%DATADIR%%/icons/flags/md.png
+%%DATADIR%%/icons/flags/me.png
+%%DATADIR%%/icons/flags/mg.png
+%%DATADIR%%/icons/flags/mh.png
+%%DATADIR%%/icons/flags/mk.png
+%%DATADIR%%/icons/flags/ml.png
+%%DATADIR%%/icons/flags/mm.png
+%%DATADIR%%/icons/flags/mn.png
+%%DATADIR%%/icons/flags/mo.png
+%%DATADIR%%/icons/flags/mp.png
+%%DATADIR%%/icons/flags/mq.png
+%%DATADIR%%/icons/flags/mr.png
+%%DATADIR%%/icons/flags/ms.png
+%%DATADIR%%/icons/flags/mt.png
+%%DATADIR%%/icons/flags/mu.png
+%%DATADIR%%/icons/flags/mv.png
+%%DATADIR%%/icons/flags/mw.png
+%%DATADIR%%/icons/flags/mx.png
+%%DATADIR%%/icons/flags/my.png
+%%DATADIR%%/icons/flags/mz.png
+%%DATADIR%%/icons/flags/na.png
+%%DATADIR%%/icons/flags/nc.png
+%%DATADIR%%/icons/flags/ne.png
+%%DATADIR%%/icons/flags/nf.png
+%%DATADIR%%/icons/flags/ng.png
+%%DATADIR%%/icons/flags/ni.png
+%%DATADIR%%/icons/flags/nl.png
+%%DATADIR%%/icons/flags/no.png
+%%DATADIR%%/icons/flags/np.png
+%%DATADIR%%/icons/flags/nr.png
+%%DATADIR%%/icons/flags/nu.png
+%%DATADIR%%/icons/flags/nz.png
+%%DATADIR%%/icons/flags/om.png
+%%DATADIR%%/icons/flags/pa.png
+%%DATADIR%%/icons/flags/pe.png
+%%DATADIR%%/icons/flags/pf.png
+%%DATADIR%%/icons/flags/pg.png
+%%DATADIR%%/icons/flags/ph.png
+%%DATADIR%%/icons/flags/pk.png
+%%DATADIR%%/icons/flags/pl.png
+%%DATADIR%%/icons/flags/pm.png
+%%DATADIR%%/icons/flags/pn.png
+%%DATADIR%%/icons/flags/pr.png
+%%DATADIR%%/icons/flags/ps.png
+%%DATADIR%%/icons/flags/pt.png
+%%DATADIR%%/icons/flags/pw.png
+%%DATADIR%%/icons/flags/py.png
+%%DATADIR%%/icons/flags/qa.png
+%%DATADIR%%/icons/flags/re.png
+%%DATADIR%%/icons/flags/ro.png
+%%DATADIR%%/icons/flags/rs.png
+%%DATADIR%%/icons/flags/ru.png
+%%DATADIR%%/icons/flags/rw.png
+%%DATADIR%%/icons/flags/sa.png
+%%DATADIR%%/icons/flags/sb.png
+%%DATADIR%%/icons/flags/sc.png
+%%DATADIR%%/icons/flags/sd.png
+%%DATADIR%%/icons/flags/se.png
+%%DATADIR%%/icons/flags/sg.png
+%%DATADIR%%/icons/flags/sh.png
+%%DATADIR%%/icons/flags/si.png
+%%DATADIR%%/icons/flags/sj.png
+%%DATADIR%%/icons/flags/sk.png
+%%DATADIR%%/icons/flags/sl.png
+%%DATADIR%%/icons/flags/sm.png
+%%DATADIR%%/icons/flags/sn.png
+%%DATADIR%%/icons/flags/so.png
+%%DATADIR%%/icons/flags/sr.png
+%%DATADIR%%/icons/flags/st.png
+%%DATADIR%%/icons/flags/sv.png
+%%DATADIR%%/icons/flags/sy.png
+%%DATADIR%%/icons/flags/sz.png
+%%DATADIR%%/icons/flags/tc.png
+%%DATADIR%%/icons/flags/td.png
+%%DATADIR%%/icons/flags/tf.png
+%%DATADIR%%/icons/flags/tg.png
+%%DATADIR%%/icons/flags/th.png
+%%DATADIR%%/icons/flags/tj.png
+%%DATADIR%%/icons/flags/tk.png
+%%DATADIR%%/icons/flags/tl.png
+%%DATADIR%%/icons/flags/tm.png
+%%DATADIR%%/icons/flags/tn.png
+%%DATADIR%%/icons/flags/to.png
+%%DATADIR%%/icons/flags/tr.png
+%%DATADIR%%/icons/flags/tt.png
+%%DATADIR%%/icons/flags/tv.png
+%%DATADIR%%/icons/flags/tw.png
+%%DATADIR%%/icons/flags/tz.png
+%%DATADIR%%/icons/flags/ua.png
+%%DATADIR%%/icons/flags/ug.png
+%%DATADIR%%/icons/flags/uk.png
+%%DATADIR%%/icons/flags/unknown.png
+%%DATADIR%%/icons/flags/us.png
+%%DATADIR%%/icons/flags/uy.png
+%%DATADIR%%/icons/flags/uz.png
+%%DATADIR%%/icons/flags/va.png
+%%DATADIR%%/icons/flags/vc.png
+%%DATADIR%%/icons/flags/ve.png
+%%DATADIR%%/icons/flags/vg.png
+%%DATADIR%%/icons/flags/vi.png
+%%DATADIR%%/icons/flags/vn.png
+%%DATADIR%%/icons/flags/vu.png
+%%DATADIR%%/icons/flags/wf.png
+%%DATADIR%%/icons/flags/ws.png
+%%DATADIR%%/icons/flags/ye.png
+%%DATADIR%%/icons/flags/yt.png
+%%DATADIR%%/icons/flags/za.png
+%%DATADIR%%/icons/flags/zm.png
+%%DATADIR%%/icons/flags/zw.png
+%%DATADIR%%/icons/smileys/biggrin.png
+%%DATADIR%%/icons/smileys/cry.png
+%%DATADIR%%/icons/smileys/dxirc.smiley
+%%DATADIR%%/icons/smileys/smile.png
+%%DATADIR%%/icons/smileys/tongue.png
+%%DATADIR%%/icons/smileys/unhappy.png
+%%NLS%%share/locale/cs/LC_MESSAGES/dxirc.mo
+%%NLS%%share/locale/sk/LC_MESSAGES/dxirc.mo
+@dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/icons/default
+@dirrm %%DATADIR%%/icons/flags
+@dirrm %%DATADIR%%/icons/smileys
+@dirrm %%DATADIR%%/icons
+@dirrm %%DATADIR%%
+@dirrm share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh freebsd_committer 2012-12-31 03:46:49 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2013-01-02 07:51:30 UTC
Author: jgh (ports committer)
Date: Wed Jan  2 07:51:22 2013
New Revision: 40532
URL: http://svnweb.freebsd.org/changeset/doc/40532

Log:
  - add David Vachulka for irc/dxirc
  - while here fix some sorting
  
  PR:		174781

Modified:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml

Modified: head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
==============================================================================
--- head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml	Wed Jan  2 07:45:32 2013	(r40531)
+++ head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml	Wed Jan  2 07:51:22 2013	(r40532)
@@ -2419,18 +2419,23 @@
     </listitem>
 
     <listitem>
+      <para>David Vachulka
+	<email>arch_dvx@users.sourceforge.net</email></para>
+    </listitem>
+    <listitem>
+
       <para>David Wolfskill
 	<email>david@catwhisker.org</email></para>
     </listitem>
 
     <listitem>
-      <para>Dax Labrador
-	<email>semprix@bsdmail.org</email></para>
+      <para>David Yeske
+	<email>dyeske@yahoo.com</email></para>
     </listitem>
 
     <listitem>
-      <para>David Yeske
-	<email>dyeske@yahoo.com</email></para>
+      <para>Dax Labrador
+	<email>semprix@bsdmail.org</email></para>
     </listitem>
 
     <listitem>
_______________________________________________
svn-doc-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-doc-all
To unsubscribe, send any mail to "svn-doc-all-unsubscribe@freebsd.org"